html {
    font-size: 14px;
    width: 100%;
    width: 100vw;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html, body {
    height: 100%;
}


body {
    margin-bottom: 60px;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}
/*Creates a wrapper around content wrapper that is used to auto-detect changes in the viewport width.*/
#wrap-wrap {
    width: 100vw;
}

#content-wrap {
    margin: 0 auto;
    width: 800px;
}

.lite-border {
    border: solid 1px #40bb2c;
}

.light-p {
    color: #40bb2c;
}

.content {
    flex: 1 0 auto;
}

.footer {
    flex-shrink: 0;
}

.height-footer {
    min-height: 160px;
    max-height: 160px;
}

.nav-text-blue {
    color: #1C5A84 !important;
    font-weight: bolder;
}


@media only screen and (min-width: 900px){
    #solidTopNav {
        height: 90px;
    }
}

@media only screen and (max-width: 1536px) {


    .section-hero {
        color: #1C5A84 !important;
        background-color: #0a53be;
        height: 30rem;
        padding: 0rem;
        margin: 0rem;
        background: none;
    }

    .hero-button {
        align-content: center;
        border-radius: 40px;
        width: 20rem;
        background-color: #1C5A84 !important;
        color: #fff;
    }

        .hero-button:hover {
            border-radius: 40px;
            width: 20rem;
            background-color: #DEF2FF !important;
            color: #1D608D;
        }

    .section-about {
        height: 30rem;
        background: none;
        margin-top: 1.5rem;
    }


    .org-button:hover,
    .indi-button:hover {
        background-color: #b3d9ff; /* Change background color on hover */
        color: #333; /* Change text color on hover */
        transform: scale(1.1); /* Scale up the button on hover */
        transition: transform 0.2s ease, background-color 0.2s ease; /* Add a smooth transition effect */
    }

    .section-service {
        height: 20rem;
        background: none;
       
    }

    .text-bluecolor {
        color: #1C5A84 !important;
        font-weight: bolder;
    }

    .btn-learnmore {
        align-content: center;
        border-radius: 40px;
        width: 20rem;
        background-color: #1C5A84 !important;
        color: #fff;
    }

        .btn-learnmore:hover {
            border-radius: 40px;
            width: 20rem;
            background-color: #DEF2FF !important;
            color: #1D608D;
        }

    .theme-green {
        background-color: #1D608D;
        background-image: linear-gradient(170deg, #286300 0%, #1C5A84 80%);
        background-repeat: no-repeat;
        background-size: cover;
    }

    .theme-green-reverse {
        background-color: #1D608D;
        background-image: linear-gradient(0deg, #286300 0%, #1C5A84 80%);
        background-repeat: no-repeat;
        background-size: cover;
    }
}

.ml-n80
{
    margin-left: -80px;
}

@media only screen and (min-width: 900px) {
    .section-hero {
        color: #1C5A84 !important;
        background-color: #0a53be;
        height: 45rem;
        padding: 0rem;
        margin: 0rem;
        background: url('../Resources/monservis_bg-3-removebg-preview.png') right top no-repeat;
        background-size: 500px, 595px;
    }

        .section-hero .hero-button {
            border-radius: 40px;
            width: 450px;
            background-color: #1C5A84 !important;
            color: #fff;
        }

            .section-hero .hero-button:hover {
                border-radius: 40px;
                width: 450px;
                background-color: #DEF2FF !important;
                color: #1D608D;
            }

    .section-about {    
        height: 25rem;
        background-size: cover;
        background-repeat: no-repeat;
    }
    .section-about .indi-button {
        border-top-right-radius: 30px;
        border-bottom-right-radius: 30px;
        width: 250px;
        background-color: #DEF2FF !important;
        color: #1D608D;
        border-color: #1C5A84;
    }

        .section-about .indiv-button {
            border-radius: 30px;
            width: 250px;
            background-color: #1D608D !important;
            color: #fff;
        }

    .indi-button.active {
        border-top-right-radius: 30px;
        border-bottom-right-radius: 30px;
        width: 250px;
        background-color: #1C5A84 !important;
        color: #fff;
    }

        .section-about .indi-button.active:hover {
            width: 250px;
            background-color: #1C5A84 !important;
            color: #fff;
        }

    .section-about .org-button {
        border-top-left-radius: 30px;
        border-bottom-left-radius: 30px;
        width: 250px;
        background-color: #DEF2FF !important;
        color: #1D608D;
        border-color: #1C5A84;
    }
    .section-about .org-button.active {
        border-top-left-radius: 30px;
        border-bottom-left-radius: 30px;
        width: 250px;
        background-color: #1C5A84 !important;
        color: #fff;
    }

        .section-about .org-button.active:hover {
            width: 250px;
            background-color: #1C5A84 !important;
            color: #fff;
        }

    .about-button {
        border-radius: 30px;
        width: 250px;
        background-color: #1C5A84 !important;
        color: #fff;
    }

    .section-service {
        height: 40rem;
    }

    .text-bluecolor {
        color: #1C5A84 !important;
    }

    .theme-green {
        background-color: #1D608D;
        background-image: linear-gradient(170deg, #286300 0%, #1C5A84 80%);
        background-repeat: no-repeat;
        background-size: cover;
    }

    .theme-green-reverse {
        background-color: #1D608D;
        background-image: linear-gradient(0deg, #286300 0%, #1C5A84 80%);
        background-repeat: no-repeat;
        background-size: cover;
    }
}

.mt-n5
{
    margin-top: -45px;
}

.mt-n1 {
    margin-top: -10px;
}



@media only screen and (max-width: 900px) {
    .service-card {
        border-radius: 35px;
        min-height: 100%;
    }

    .nav-text-blue {
        color: none !important;
    }

    .section-about{
        margin-bottom:320px;
    }

        .section-about .indi-button {
            
            width: 100px;
            background-color: #DEF2FF !important;
            color: #1D608D;
            border-color: #1C5A84;
        }

        .section-about .indiv-button {
            width: 100px;
            background-color: #1D608D !important;
            color: #fff;
        }

    .indi-button.active {
        
        width: 100px;
        background-color: #1C5A84 !important;
        color: #fff;
    }

    .section-about .indi-button.active:hover {
        width: 100px;
        background-color: #1C5A84 !important;
        color: #fff;
    }

    .section-about .org-button {
        width: 100px;
        background-color: #DEF2FF !important;
        color: #1D608D;
        border-color: #1C5A84;
    }

        .section-about .org-button.active {
            width: 100px;
            background-color: #1C5A84 !important;
            color: #fff;
        }

            .section-about .org-button.active:hover {
                width: 100px;
                background-color: #1C5A84 !important;
                color: #fff;
            }

    .desktop-only {
        display: none;
    }
}

@media only screen and (min-width: 400px) {
    .service-card {
        border-radius: 40px;
        height: 15rem;
    }


}


.service-card:hover {
    box-shadow: rgba(17, 12, 46, 0.15) 0px 48px 100px 0px;
}

.search-card {
    border-radius: 40px;
}

    .search-card:hover {
        /*color: #1C5A84;*/
        /*background-color: #DEF2FF !important;*/
    }

.header-spacing {
    margin-top: 5%;
}

.red-border {
    border: solid 1px #ff0000;
}

.gree-border {
    border: solid 1px #40bb2c;
}

.card-button {
    border-radius: 40px;
    width: 150px;
    background-color: #1C5A84 !important;
    color: #fff;
}

    .card-button:hover {
        border-radius: 40px;
        width: 150px;
        background-color: #DEF2FF !important;
        color: #1D608D;
    }

.reset-button {
    border-radius: 40px;
    width: 150px;
    background-color: #808080 !important;
    /*background-color: #ff6a1f !important;*/
    color: #fff;
}

    .reset-button:hover {
        border-radius: 40px;
        width: 150px;
        background-color: #DEF2FF !important;
        color: #1D608D;
    }

.border-r-lg {
    border-radius: 40px;
}

.avatar {
    vertical-align: middle;
    width: auto;
    height: 50px;
    border-radius: 0%;
}

.avatar-lg {
    vertical-align: middle;
    width: auto;
    height: 120px;
    border-radius: 0%;
}

.bg-contactus {
    background-color: #286300;
    color: black !important;
}



.text-greencolor {
    color: #286300 !important;
}

.text-whitecolor {
    color: #fff !important;
}

.text-bluecolorlight {
    color: #1B5780;
}

.nav-text {
    font-size: 15pt !important;
    transition: font-size 120ms ease-in;
}

    .nav-text:hover {
        transition: font-size 120ms ease-out;
        font-size: 18pt !important;
        text-decoration: underline;
    }

.nav-icon {
    height: 70%;
    width: 70%
}

.btn-learnmore {
    background-color: #1C5A84;
    color: #ffffff;
    min-width: 20%;
    max-width: 20%;
}

.border-map {
    border-top: solid 2px #286300;
    border-bottom: solid 2px #286300;
}
/* ---------------------------------------------------
    MIXIN FUNCTIONS
----------------------------------------------------- */
/*Theme selector mixin*/
/*

    primary is main colour, which includes sidebar colour
    secondary is usually lighter and can be used as a accent colour, eg selection on sidebar
    thirtiary is darker and can be used as a contrasting colour, eg. background of expanded items in sidebar


*/
/*$base-cl: #476e98;*/
#returntotop {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: #0f4c92 !important;
    color: #fff !important;
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
}

    #returntotop:hover {
        background-color: #051c36;
    }

#feedback-button {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 10px; /* Place the button at the bottom of the page */
    left: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: transparent;
    cursor: pointer; /* Add a mouse pointer on hover */
    border-radius: 10px; /* Rounded corners */
    font-size: 24px; /* Increase font size */
}

.btn-custom {
    background-color: #09487F !important;
    color: #fff !important;
}

.btn-register {
    background-color: rgba(255, 255, 255, 0.5) !important;
    color: #fff !important;
}

.btn-landing-link {
    background-color: rgba(255, 255, 255, 0.5) !important;
    color: #fff !important;
    min-width: 30%;
    max-width: 30%;
    vertical-align: auto;
}

.btn-howtoreg {
    background-color: rgba(255, 255, 255, 0.5) !important;
    color: #fff !important;
    min-width: 50%;
    max-width: 50%;
    vertical-align: auto;
}

/* ---------------------------------------------------
    MIXIN FUNCTIONS
----------------------------------------------------- */

@mixin width_prop ($minw, $maxw) {
    min-width: $minw;
    max-width: $maxw;
}

@mixin height_prop ($minh, $maxh) {
    min-height: $minh;
    max-height: $maxh;
}

@mixin min_dimensions ($minh, $minw) {
    min-height: $minh !important;
    min-width: $minw !important;
}

@mixin img_prop ($mx-height, $mx-width) {
    max-height: $mx-height;
    max-width: $mx-width;
}

@mixin color_prop ($bgcolor, $pcolor) {
    background-color: $bgcolor !important;
    color: $pcolor !important;
}

@mixin margin_y ($mgtop, $mgbot) {
    margin-top: $mgtop;
    margin-bottom: $mgbot;
}

@mixin border_prop ($bbc,$bbw) {
    border-color: $bbc !important;
    border-width: $bbw !important;
}

@mixin font_size ($fs) {
    font-size: $fs;
}

@mixin height-box($height, $box) {
    height: $height;
    box-sizing: $box;
}

/* ---------------------------------------------------
    MIXIN FUNCTIONS
----------------------------------------------------- */
/*Theme selector mixin*/
/*

    primary is main colour, which includes sidebar colour
    secondary is usually lighter and can be used as a accent colour, eg selection on sidebar
    thirtiary is darker and can be used as a contrasting colour, eg. background of expanded items in sidebar


*/
/*$base-cl: #476e98;*/

.app-icon {
    max-height: 1.5rem;
    max-width: 1.5rem;
}

.feedback-icon-sm {
    opacity: 50%;
    font-size: 1.5rem;
    max-height: 1.5rem;
    min-height: 20rem;
    max-height: 20rem;
}

    .feedback-icon-sm:hover {
        opacity: 100%;
    }

.feedback-icon-md {
    opacity: 50%;
    font-size: 2rem;
    max-height: 2.5rem;
    min-height: 20rem;
}

    .feedback-icon-md:hover {
        opacity: 100%;
    }

.feedback-icon {
    opacity: 50%;
    font-size: 2rem;
}

    .feedback-icon:hover {
        opacity: 100%;
    }


.feedback-icon-lg {
    opacity: 50%;
    font-size: 3.5rem;
    max-height: 3rem;
}

    .feedback-icon-lg:hover {
        opacity: 100%;
    }

#howtoreglink {
    margin-top: 85%;
}


/* ---------------------------------------------------
    BUTTONS
----------------------------------------------------- */

#returntotop {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    @include color_prop($base-acc,$white);
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
}

    #returntotop:hover {
        background-color: darken($base-acc,20%);
    }

#feedback-button {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 10px; /* Place the button at the bottom of the page */
    left: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: transparent;
    cursor: pointer; /* Add a mouse pointer on hover */
    border-radius: 10px; /* Rounded corners */
    font-size: 24px; /* Increase font size */
}


.btn-custom {
    background-color: #1D608D;
    opacity: 50%;
}

.btn-register {
    @include color_prop($transparent_white, $white);
}

.btn-landing-link {
    @include color_prop($transparent_white, $white);
    @include width_prop(30%,30%);
    vertical-align: auto;
}

.btn-howtoreg {
    @include color_prop($transparent_white, $white);
    @include width_prop(50%,50%);
    vertical-align: auto;
}

/*NavBar*/
.monServis-transparent {
    width: 100%;
    display: inline-block;
    text-align: center;
    background-color: transparent;
    position: fixed;
    transition: background-color 200ms linear;
    color: black;
    font-size: 18px;
    z-index: 1000;
}

.monServis {
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
    text-decoration: none;
    z-index: 1000;
}

/* ---------------------------------------------------
    NAV BAR RESPONSIVE
----------------------------------------------------- */
@media only screen and (max-width: 900px) {
    .img-fluid {
        max-height: 0.5rem;
    }

    .navbar-sm-bg {
        background-color: #286300 !important;
        text-align: center;
    }

    .nav-sm-responsive {
        background-color: #286300 !important;
        color: #fff !important;
        position: static;
        margin-top: 0px;
    }


    #navbarSupportedContent {
        align-content: center;
    }

    .navbar-sm-btn {
        background-color: #286300 !important;
        color: #fff !important;
    }

    .btn-learnmore {
        min-width: 50%;
        max-width: 50%;
    }

    .solidNavbar {
        background-color: #286300;
        box-shadow: 2px 6px 18px #363738;
        width: auto;
        position: relative;
    }

    .solidLinks {
        margin-right: 85px;
    }
}

/* ---------------------------------------------------
    NAVBAR
----------------------------------------------------- */

#topNav {
    padding-top: 20px;
}

.monServis-coloured {
    width: 100%;
    display: inline-block;
    text-align: center;
    background-color: #286300 !important;
    transition: background-color 200ms linear;
    position: page;
    color: white !important;
    z-index: 1000;
    top: 0;
    height: auto;
}


.solidNavbar {
    background-color: #286300;
    box-shadow: 2px 6px 18px #363738;
    width: auto;
}
/* ---------------------------------------------------
    TOP NAVBAR
----------------------------------------------------- */
.top-bar span {
    font-size: 12px;
    border: 10px;
    top: 0;
    padding-left: 0;
}

.gov {
    /*padding: 2px 8px;*/
    float: left;
    width: 2rem;
}

.gov-crest {
    /*    padding: 1px 10px 1px 30px;*/
    padding-left: 30px;
    padding-right: 5px;
    width: 4.5%;
    max-width: 7%;
    height: auto;
    display: inline-block;
}

@media only screen and (max-width: 600px) {
    .gov-crest {
        width: 25%;
        padding: 0;
    }
}

.bg-light-shade {
    background-color: #F2F2F2;
}

.list-group{
    text-align: left;
}

.active-icon {
    background-color: #1D608D;
    background-image: linear-gradient(170deg, #286300 0%, #1C5A84 80%);
    background-repeat: no-repeat;
    background-size: cover;
}

.section-service {
    position: relative;
}

.background-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 120%;
    height: 100%;
    z-index: 0;
    overflow: hidden;
    margin-top: 50px;
}

    .background-image img {
        width: 100%;
        height: auto;
        object-fit: cover;
        opacity: 0.2;
        filter: grayscale(100%);
    }

.business-card {
    border-radius: 0.5rem;
}

.business-card-body {
    padding-bottom: 0.25rem;
}

.business-profile {
    display: inline-flex;
}

.business-header {
    display: flex;
    align-content: center;
    height: 50px;
    margin-bottom: 1rem;
    justify-content: space-between;
}

.business-logo {
    width: 50px;
    height: 100%;
    border-radius: 50%;
    align-content: center;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    margin-right: 1rem;
}

.badge-primary {
    background-color: #007bff;
    color: white;
    padding: 5px 10px;
    border-radius: 10px;
    font-size: 10px;
}

.badge-danger {
    background-color: #dc3545;
    color: white;
    padding: 5px 10px;
    border-radius: 10px;
    font-size: 10px;
}

.business-logo-default {
    font-size: 1.5rem;
    font-weight: bolder;
    color: white;
    background-color: darkcyan;
}

.business-name {
    text-align: left;
    font-weight: bold;
    font-size: 1.2rem;
    line-height: 50px;
}

    .business-name:hover {
        text-decoration: underline;
        cursor: pointer;
    }

.business-badge {
    text-align: right;
    font-size: 5pt;
}

.business-footer {
    width: 100%;
    display: inline-flex;
    justify-content: space-between;
    align-content: center;
    flex-wrap: wrap;
}

.business-info-sec {
    display: inline-flex;
}

.business-info {
    padding: 0.5rem;
    font-size: 12px;
    font-weight: lighter;
    display: inline-flex;
    line-height: 12px;
}

.business-info-icon {
    margin-right: 0.5rem;
    font-size: 16px !important;
}

.truncate-business-info {
    max-width: 100px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media (max-width: 768px) {
    .background-image {
        display: none; /* Hide background image on mobile */
    }
}

.container3 {
  display: flex;
  flex-wrap: wrap; /* Allow cards to wrap to the next line */
  justify-content: center; /* Center the cards horizontally */
  margin-top: 50px; /* Move the container up a bit more */
  margin-bottom: 20px; /* Add space under the container */
}

.card1 {
  flex: 1 1 45%; /* Each card takes up 45% of the container width */
  margin: 5px; /* Adjusted margin for smaller screens */
  padding: 15px; /* Adjusted padding for smaller screens */
  border-radius: 10px;
  overflow: hidden;
  transition: opacity 0.5s ease;
  max-width: 100%; /* Set maximum width for the cards */
  background-color: #fff; /* Card background color */
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1); /* Box shadow for card */
  z-index: 100;
  box-sizing: border-box; /* Include padding in the total width */
}

.card1 img {
  display: block;
  margin: 0 auto; /* Center the image horizontally */
  width: 100%; /* Make the image responsive */
  height: auto;
  border-radius: 5px;
}

.description {
  margin-top: 20px;
}

.reveal {
  opacity: 1;
}

@media (max-width: 768px) {
    .card1 {
        flex-basis: calc(100% - 20px); 
    }
}


.container7 {
    margin-top: 0;
    padding-top: 0;
}


@media screen and (max-width: 768px) {
    .container7 {
         display: none;
    }
}

.error-page {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    text-align: center;
    background-color: #f8f9fa;
    color: black;
}

.error-message {
    font-size: 1.5rem;
    margin-bottom: 20px;
}

.error-details {
    font-size: 1rem;
    margin-bottom: 20px;
}

.btn-home {
    display: inline-block;
    padding: 10px 20px;
    background-color: #1C5A84;
    color: #fff;
    border-radius: 40px;
    text-decoration: none;
    width: 200px;
    margin: 10px;
}

    .btn-home:hover {
        background-color: #DEF2FF;
        color: #1D608D;
    }

.btn-primary {
    color: #fff;
    background-color: #1D608D;
    border-color: #0d6efd;
}

.modal-header2 {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 1rem;
    background-color: #286300;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: calc(.3rem - 1px);
    border-top-right-radius: calc(.3rem - 1px);
}

.h6, h6 {
    color: white;
    font-size: 1.25rem;
}
.modal-title {
    text-align: center;
}
.h6, h6 {
    padding-left: 30px;
    color: white;
    font-size: 1.25rem;
}